import { ChangeDetectorRef, OnInit, AfterViewInit } from '@angular/core';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import { SdUtilityService } from '@sd-angular/core/utility';
export declare class SdDynamicReportComponent implements OnInit, AfterViewInit {
    private ref;
    private sanitizer;
    private utilityService;
    printId: string;
    cHtml: SafeHtml;
    title: string;
    set html(value: string);
    constructor(ref: ChangeDetectorRef, sanitizer: DomSanitizer, utilityService: SdUtilityService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    print: () => void;
}
